ru.bitel.bgbilling.modules.hd.common.bean

## Class Zone

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.hd.common.bean.Zone

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Zone
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Zone()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `java.lang.String` | `getConfigValue(java.lang.String key)`
    `int` | `getContractId()`
    `java.lang.String` | `getData()`
    `java.util.Date` | `getFreeDate()`
    `java.util.Date` | `getLastUpdate()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParamsMap()`
    `Period` | `getPeriod()`
    `java.lang.String` | `getRegistrar()`
    `java.util.Date` | `getWhoisLastUpdate()`
    `java.lang.String` | `getZone()`
    `java.lang.String` | `getZonePunycode()`
    `boolean` | `isAvto()`
    `boolean` | `isLoadWhois()`
    `void` | `setAvto(boolean avto)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setContractId(int contractId)`
    `void` | `setData(java.lang.String data)`
    `void` | `setFreeDate(java.util.Date freeDate)`
    `void` | `setLastUpdate(java.util.Date lastUpdate)`
    `void` | `setLoadWhois(boolean loadWhois)`
    `void` | `setPeriod(Period period)`
    `void` | `setRegistrar(java.lang.String registrar)`
    `void` | `setWhoisLastUpdate(java.util.Date whoisLastUpdate)`
    `void` | `setZone(java.lang.String zone)`
    `void` | `setZonePunycode(java.lang.String zonePunycode)`
    `void` | `updateConfigValue(java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Zone

          public Zone()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getZone

          public java.lang.String getZone()

    - #### setZone

          public void setZone(java.lang.String zone)

    - #### getZonePunycode

          public java.lang.String getZonePunycode()

    - #### setZonePunycode

          public void setZonePunycode(java.lang.String zonePunycode)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### isLoadWhois

          public boolean isLoadWhois()

    - #### setLoadWhois

          public void setLoadWhois(boolean loadWhois)

    - #### getWhoisLastUpdate

          public java.util.Date getWhoisLastUpdate()

    - #### setWhoisLastUpdate

          public void setWhoisLastUpdate(java.util.Date whoisLastUpdate)

    - #### getLastUpdate

          public java.util.Date getLastUpdate()

    - #### setLastUpdate

          public void setLastUpdate(java.util.Date lastUpdate)

    - #### getFreeDate

          public java.util.Date getFreeDate()

    - #### setFreeDate

          public void setFreeDate(java.util.Date freeDate)

    - #### getRegistrar

          public java.lang.String getRegistrar()

    - #### setRegistrar

          public void setRegistrar(java.lang.String registrar)

    - #### isAvto

          public boolean isAvto()

    - #### setAvto

          public void setAvto(boolean avto)

    - #### getParamsMap

          public java.util.Map<java.lang.String,java.lang.String> getParamsMap()

    - #### updateConfigValue

          public void updateConfigValue(java.lang.String key,
                                        java.lang.String value)

    - #### getConfigValue

          public java.lang.String getConfigValue(java.lang.String key)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)